com.microfocus.awm.meta.impl

## Class PropertyImpl

- java.lang.Object
- - org.eclipse.emf.common.notify.impl.BasicNotifierImpl
  - - org.eclipse.emf.ecore.impl.BasicEObjectImpl
    - - org.eclipse.emf.ecore.impl.EObjectImpl
      - - com.microfocus.awm.meta.impl.AWMObjectImpl
        - - com.microfocus.awm.meta.impl.AWMIdentifiableObjectImpl
          - - com.microfocus.awm.meta.impl.PropertyImpl

- All Implemented Interfaces:
    AWMIdentifiableObject, AWMObject, IFunctionPackageDefinable, Property, org.eclipse.emf.common.notify.Notifier, org.eclipse.emf.ecore.EObject, org.eclipse.emf.ecore.InternalEObject
  Direct Known Subclasses:
    LinkedPropertyImpl

      public class PropertyImpl
      extends AWMIdentifiableObjectImpl
      implements Property

  The following features are implemented:

  - `Chars Per Line`
  - `Date Format`
  - `Default Value`
  - `False Value`
  - `Label Keys`
  - `Retrieve All Values`
  - `Retrieve All Values Action Values From`
  - `Retrieve All Values Action Value Property`
  - `Retrieve All Values Action Label Property`
  - `Max Lines`
  - `Special Property`
  - `String Delimiter`
  - `True Value`
  - `Type`
  - `Upper Case`
  - `Value Keys`
  - `Value Max Length`
  - `Value Min Length`
  - `Label`

- - ### Property Summary

    All Methods Instance Methods Concrete Methods
    Type | Property and Description
    --- | ---
    `Property` | `basicGetRetrieveAllValuesActionLabel`
    `Property` | `basicGetRetrieveAllValuesActionValue`
    `boolean` | `isLinked` Gets the value of the property linkedProperty.
    `boolean` | `isSetRetrieveAllValuesActionLabel` Gets the value of the property setRetrieveAllValuesActionLabelProperty.
    `boolean` | `isSetRetrieveAllValuesActionValue` Gets the value of the property setRetrieveAllValuesActionValueProperty.
    `boolean` | `isSetSpecial` Gets the value of the property setSpecialProperty.

  - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class org.eclipse.emf.common.notify.impl.BasicNotifierImpl

      `org.eclipse.emf.common.notify.impl.BasicNotifierImpl.EAdapterList<E extends java.lang.Object & org.eclipse.emf.common.notify.Adapter>, org.eclipse.emf.common.notify.impl.BasicNotifierImpl.EObservableAdapterList`

    - ### Nested classes/interfaces inherited from interface org.eclipse.emf.ecore.InternalEObject

      `org.eclipse.emf.ecore.InternalEObject.EStore`

  - ### Field Summary

    - ### Fields inherited from class org.eclipse.emf.ecore.impl.EObjectImpl

      `ELAST_EOBJECT_FLAG`

    - ### Fields inherited from interface org.eclipse.emf.ecore.InternalEObject

      `EOPPOSITE_FEATURE_BASE`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `ActionDescriptor` | `basicGetRetrieveAllValues()`
    `Property` | `basicGetRetrieveAllValuesActionLabelProperty()`
    `Property` | `basicGetRetrieveAllValuesActionValueProperty()`
    `java.lang.Object` | `eGet(int featureID, boolean resolve, boolean coreType)`
    `boolean` | `eIsSet(int featureID)`
    `boolean` | `equals(java.lang.Object obj)`
    `void` | `eSet(int featureID, java.lang.Object newValue)`
    `void` | `eUnset(int featureID)`
    `int` | `getCharsPerLine()`
    `java.lang.String` | `getDateFormat()`
    `java.lang.String` | `getDefaultValue()`
    `java.lang.String` | `getFalseValue()`
    `java.lang.String` | `getLabel()`
    `java.lang.String` | `getLabelForValue(java.lang.String pValue)` Returns the label for the given value or `null`, if there is no label for the value
    `java.lang.String` | `getLabelFromHierarchy()` Returns the Label or the ID if the Label wasn't set.
    `org.eclipse.emf.common.util.EList<java.lang.String>` | `getLabelKeys()`
    `java.util.List<java.lang.String>` | `getLabelKeysWithoutQuotes()`
    `int` | `getMaxLines()`
    `ActionDescriptor` | `getRetrieveAllValues()`
    `Property` | `getRetrieveAllValuesActionLabelProperty()`
    `Property` | `getRetrieveAllValuesActionValueProperty()`
    `ERetrieveAllValues` | `getRetrieveAllValuesActionValuesFrom()`
    `ESpecialProperties` | `getSpecialProperty()`
    `java.lang.String` | `getStringDelimiter()`
    `java.lang.String` | `getStringDelimiterWithoutQuotes()` Returns the StringDelimiter value of the Property without the quotes.
    `java.lang.String` | `getTrueValue()`
    `ETypes` | `getType()`
    `java.lang.String` | `getValueForLabel(java.lang.String pLabel)` Returns the value for the given label or `null`, if there is no value for the label
    `org.eclipse.emf.common.util.EList<java.lang.String>` | `getValueKeys()`
    `java.util.List<java.lang.String>` | `getValueKeysWithoutQuotes()`
    `java.util.Map<java.lang.String,java.lang.String>` | `getValueLabelMap()` Returns a Map containing Value Keys and Label Keys.
    `int` | `getValueMaxLength()`
    `int` | `getValueMinLength()`
    `int` | `hashCode()`
    `boolean` | `isLinkedProperty()` Gets the value of the property linkedProperty.
    `boolean` | `isSetCharsPerLine()`
    `boolean` | `isSetDateFormat()`
    `boolean` | `isSetFalseValue()`
    `boolean` | `isSetLabel()`
    `boolean` | `isSetLabelKeys()`
    `boolean` | `isSetMaxLines()`
    `boolean` | `isSetRetrieveAllValues()`
    `boolean` | `isSetRetrieveAllValuesActionLabelProperty()` Gets the value of the property setRetrieveAllValuesActionLabelProperty.
    `boolean` | `isSetRetrieveAllValuesActionValueProperty()` Gets the value of the property setRetrieveAllValuesActionValueProperty.
    `boolean` | `isSetSpecialProperty()` Gets the value of the property setSpecialProperty.
    `boolean` | `isSetStringDelimiter()`
    `boolean` | `isSetTrueValue()`
    `boolean` | `isSetType()`
    `boolean` | `isSetUpperCase()`
    `boolean` | `isSetValueKeys()`
    `boolean` | `isSetValueMaxLength()`
    `boolean` | `isSetValueMinLength()`
    `boolean` | `isUpperCase()`
    `void` | `setCharsPerLine(int newCharsPerLine)`
    `void` | `setDateFormat(java.lang.String newDateFormat)`
    `void` | `setDefaultValue(java.lang.String newDefaultValue)`
    `void` | `setFalseValue(java.lang.String newFalseValue)`
    `void` | `setLabel(java.lang.String newLabel)`
    `void` | `setMaxLines(int newMaxLines)`
    `void` | `setRetrieveAllValues(ActionDescriptor newRetrieveAllValues)`
    `void` | `setRetrieveAllValuesActionLabelProperty(Property newRetrieveAllValuesActionLabelProperty)`
    `void` | `setRetrieveAllValuesActionValueProperty(Property newRetrieveAllValuesActionValueProperty)`
    `void` | `setRetrieveAllValuesActionValuesFrom(ERetrieveAllValues newRetrieveAllValuesActionValuesFrom)`
    `void` | `setSpecialProperty(ESpecialProperties newSpecialProperty)`
    `void` | `setStringDelimiter(java.lang.String newStringDelimiter)`
    `void` | `setTrueValue(java.lang.String newTrueValue)`
    `void` | `setType(ETypes newType)`
    `void` | `setUpperCase(boolean newUpperCase)`
    `void` | `setValueMaxLength(int newValueMaxLength)`
    `void` | `setValueMinLength(int newValueMinLength)`
    `java.lang.String` | `toString()`
    `void` | `unsetCharsPerLine()`
    `void` | `unsetDateFormat()`
    `void` | `unsetFalseValue()`
    `void` | `unsetLabel()`
    `void` | `unsetLabelKeys()`
    `void` | `unsetMaxLines()`
    `void` | `unsetRetrieveAllValues()`
    `void` | `unsetRetrieveAllValuesActionLabelProperty()`
    `void` | `unsetRetrieveAllValuesActionValueProperty()`
    `void` | `unsetSpecialProperty()`
    `void` | `unsetStringDelimiter()`
    `void` | `unsetTrueValue()`
    `void` | `unsetType()`
    `void` | `unsetUpperCase()`
    `void` | `unsetValueKeys()`
    `void` | `unsetValueMaxLength()`
    `void` | `unsetValueMinLength()`

    - ### Methods inherited from class com.microfocus.awm.meta.impl.AWMIdentifiableObjectImpl

      `eBaseStructuralFeatureID, eDerivedStructuralFeatureID, getExtensionID, getID, getModelEditorGroup, isSetModelEditorGroup, setExtensionID, setID, setModelEditorGroup, unsetModelEditorGroup`

    - ### Methods inherited from class com.microfocus.awm.meta.impl.AWMObjectImpl

      `getComment, isSetComment, setComment, unsetComment`

    - ### Methods inherited from class org.eclipse.emf.ecore.impl.EObjectImpl

      `eAdapters, eClass, eContainerFeatureID, eDeliver, eInternalContainer, eInvoke, eIsProxy, eSetClass, eSetDeliver, eSetProxyURI`

    - ### Methods inherited from class org.eclipse.emf.ecore.impl.BasicEObjectImpl

      `eAllContents, eBasicRemoveFromContainer, eBasicRemoveFromContainerFeature, eBasicSetContainer, eContainer, eContainingFeature, eContainmentFeature, eContains, eContents, eCrossReferences, eDerivedOperationID, eDerivedOperationID, eDerivedStructuralFeatureID, eDirectResource, eDynamicBasicRemoveFromContainer, eDynamicGet, eDynamicGet, eDynamicInverseAdd, eDynamicInverseRemove, eDynamicInvoke, eDynamicIsSet, eDynamicIsSet, eDynamicSet, eDynamicSet, eDynamicUnset, eDynamicUnset, eGet, eGet, eGet, eInternalResource, eInverseAdd, eInverseAdd, eInverseRemove, eInverseRemove, eInvoke, eIsSet, eObjectForURIFragmentSegment, eOpenGet, eOpenIsSet, eOpenSet, eOpenUnset, eProxyURI, eResolveProxy, eResource, eSet, eSetResource, eSetStore, eSetting, eStore, eUnset, eURIFragmentSegment, eVirtualGet, eVirtualGet, eVirtualIsSet, eVirtualSet, eVirtualUnset`

    - ### Methods inherited from class org.eclipse.emf.common.notify.impl.BasicNotifierImpl

      `eNotificationRequired, eNotify`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface com.microfocus.awm.meta.interfaces.AWMIdentifiableObject

      `getID, getModelEditorGroup, isSetModelEditorGroup, setID, setModelEditorGroup, unsetModelEditorGroup`

    - ### Methods inherited from interface com.microfocus.awm.meta.interfaces.AWMObject

      `getComment, isSetComment, setComment, unsetComment`

    - ### Methods inherited from interface com.microfocus.awm.meta.interfaces.IFunctionPackageDefinable

      `getExtensionID, setExtensionID`

    - ### Methods inherited from interface org.eclipse.emf.ecore.EObject

      `eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eInvoke, eIsProxy, eIsSet, eResource, eSet, eUnset`

    - ### Methods inherited from interface org.eclipse.emf.common.notify.Notifier

      `eAdapters, eDeliver, eNotify, eSetDeliver`

    - ### Methods inherited from interface org.eclipse.emf.ecore.InternalEObject

      `eNotificationRequired`

- - ### Property Detail

    - #### basicGetRetrieveAllValuesActionValue

          public Property basicGetRetrieveAllValuesActionValueProperty

    - #### isSetRetrieveAllValuesActionValue

          public boolean isSetRetrieveAllValuesActionValueProperty

      Gets the value of the property setRetrieveAllValuesActionValueProperty.
      Specified by:
        `isSetRetrieveAllValuesActionValueProperty` in interface `Property`
      Returns:
        whether the value of the 'Retrieve All Values Action Value Property' reference is set.
      See Also:
        `Property.unsetRetrieveAllValuesActionValueProperty()`, `Property.getRetrieveAllValuesActionValueProperty()`, `Property.setRetrieveAllValuesActionValueProperty(Property)`

    - #### basicGetRetrieveAllValuesActionLabel

          public Property basicGetRetrieveAllValuesActionLabelProperty

    - #### isSetRetrieveAllValuesActionLabel

          public boolean isSetRetrieveAllValuesActionLabelProperty

      Gets the value of the property setRetrieveAllValuesActionLabelProperty.
      Specified by:
        `isSetRetrieveAllValuesActionLabelProperty` in interface `Property`
      Returns:
        whether the value of the 'Retrieve All Values Action Label Property' reference is set.
      See Also:
        `Property.unsetRetrieveAllValuesActionLabelProperty()`, `Property.getRetrieveAllValuesActionLabelProperty()`, `Property.setRetrieveAllValuesActionLabelProperty(Property)`

    - #### isSetSpecial

          public boolean isSetSpecialProperty

      Gets the value of the property setSpecialProperty.
      Specified by:
        `isSetSpecialProperty` in interface `Property`
      Returns:
        whether the value of the 'Special Property' attribute is set.
      See Also:
        `Property.unsetSpecialProperty()`, `Property.getSpecialProperty()`, `Property.setSpecialProperty(ESpecialProperties)`

    - #### isLinked

          public boolean isLinkedProperty

      Gets the value of the property linkedProperty.
      Specified by:
        `isLinkedProperty` in interface `Property`
      Returns:
        `true` if this property is a linked property

  - ### Method Detail

    - #### getDefaultValue

          public java.lang.String getDefaultValue()

      Specified by:
        `getDefaultValue` in interface `Property`
      Returns:
        the value of the 'Default Value' attribute.
      See Also:
        `Property.setDefaultValue(String)`, `TaurusPackage.getProperty_DefaultValue()`

    - #### setDefaultValue

          public void setDefaultValue(java.lang.String newDefaultValue)

      Specified by:
        `setDefaultValue` in interface `Property`
      Parameters:
        `newDefaultValue` - the new value of the 'Default Value' attribute.
      See Also:
        `Property.getDefaultValue()`

    - #### getFalseValue

          public java.lang.String getFalseValue()

      Specified by:
        `getFalseValue` in interface `Property`
      Returns:
        the value of the 'False Value' attribute.
      See Also:
        `Property.isSetFalseValue()`, `Property.unsetFalseValue()`, `Property.setFalseValue(String)`, `TaurusPackage.getProperty_FalseValue()`

    - #### setFalseValue

          public void setFalseValue(java.lang.String newFalseValue)

      Specified by:
        `setFalseValue` in interface `Property`
      Parameters:
        `newFalseValue` - the new value of the 'False Value' attribute.
      See Also:
        `Property.isSetFalseValue()`, `Property.unsetFalseValue()`, `Property.getFalseValue()`

    - #### unsetFalseValue

          public void unsetFalseValue()

      Specified by:
        `unsetFalseValue` in interface `Property`
      See Also:
        `Property.isSetFalseValue()`, `Property.getFalseValue()`, `Property.setFalseValue(String)`

    - #### isSetFalseValue

          public boolean isSetFalseValue()

      Specified by:
        `isSetFalseValue` in interface `Property`
      Returns:
        whether the value of the 'False Value' attribute is set.
      See Also:
        `Property.unsetFalseValue()`, `Property.getFalseValue()`, `Property.setFalseValue(String)`

    - #### getLabel

          public java.lang.String getLabel()

      Specified by:
        `getLabel` in interface `Property`
      Returns:
        the value of the 'Label' attribute.
      See Also:
        `Property.isSetLabel()`, `Property.unsetLabel()`, `Property.setLabel(String)`, `TaurusPackage.getProperty_Label()`

    - #### setLabel

          public void setLabel(java.lang.String newLabel)

      Specified by:
        `setLabel` in interface `Property`
      Parameters:
        `newLabel` - the new value of the 'Label' attribute.
      See Also:
        `Property.isSetLabel()`, `Property.unsetLabel()`, `Property.getLabel()`

    - #### unsetLabel

          public void unsetLabel()

      Specified by:
        `unsetLabel` in interface `Property`
      See Also:
        `Property.isSetLabel()`, `Property.getLabel()`, `Property.setLabel(String)`

    - #### isSetLabel

          public boolean isSetLabel()

      Specified by:
        `isSetLabel` in interface `Property`
      Returns:
        whether the value of the 'Label' attribute is set.
      See Also:
        `Property.unsetLabel()`, `Property.getLabel()`, `Property.setLabel(String)`

    - #### getLabelKeys

          public org.eclipse.emf.common.util.EList<java.lang.String> getLabelKeys()

      Specified by:
        `getLabelKeys` in interface `Property`
      Returns:
        the value of the 'Label Keys' attribute list.
      See Also:
        `Property.isSetLabelKeys()`, `Property.unsetLabelKeys()`, `TaurusPackage.getProperty_LabelKeys()`

    - #### unsetLabelKeys

          public void unsetLabelKeys()

      Specified by:
        `unsetLabelKeys` in interface `Property`
      See Also:
        `Property.isSetLabelKeys()`, `Property.getLabelKeys()`

    - #### isSetLabelKeys

          public boolean isSetLabelKeys()

      Specified by:
        `isSetLabelKeys` in interface `Property`
      Returns:
        whether the value of the 'Label Keys' attribute list is set.
      See Also:
        `Property.unsetLabelKeys()`, `Property.getLabelKeys()`

    - #### getRetrieveAllValues

          public ActionDescriptor getRetrieveAllValues()

      Specified by:
        `getRetrieveAllValues` in interface `Property`
      Returns:
        the value of the 'Retrieve All Values' reference.
      See Also:
        `Property.isSetRetrieveAllValues()`, `Property.unsetRetrieveAllValues()`, `Property.setRetrieveAllValues(ActionDescriptor)`, `TaurusPackage.getProperty_RetrieveAllValues()`

    - #### basicGetRetrieveAllValues

          public ActionDescriptor basicGetRetrieveAllValues()

    - #### setRetrieveAllValues

          public void setRetrieveAllValues(ActionDescriptor newRetrieveAllValues)

      Specified by:
        `setRetrieveAllValues` in interface `Property`
      Parameters:
        `newRetrieveAllValues` - the new value of the 'Retrieve All Values' reference.
      See Also:
        `Property.isSetRetrieveAllValues()`, `Property.unsetRetrieveAllValues()`, `Property.getRetrieveAllValues()`

    - #### unsetRetrieveAllValues

          public void unsetRetrieveAllValues()

      Specified by:
        `unsetRetrieveAllValues` in interface `Property`
      See Also:
        `Property.isSetRetrieveAllValues()`, `Property.getRetrieveAllValues()`, `Property.setRetrieveAllValues(ActionDescriptor)`

    - #### isSetRetrieveAllValues

          public boolean isSetRetrieveAllValues()

      Specified by:
        `isSetRetrieveAllValues` in interface `Property`
      Returns:
        whether the value of the 'Retrieve All Values' reference is set.
      See Also:
        `Property.unsetRetrieveAllValues()`, `Property.getRetrieveAllValues()`, `Property.setRetrieveAllValues(ActionDescriptor)`

    - #### getRetrieveAllValuesActionValuesFrom

          public ERetrieveAllValues getRetrieveAllValuesActionValuesFrom()

      Specified by:
        `getRetrieveAllValuesActionValuesFrom` in interface `Property`
      Returns:
        the value of the 'Retrieve All Values Action Values From' attribute.
      See Also:
        `ERetrieveAllValues`, `Property.setRetrieveAllValuesActionValuesFrom(ERetrieveAllValues)`, `TaurusPackage.getProperty_RetrieveAllValuesActionValuesFrom()`

    - #### setRetrieveAllValuesActionValuesFrom

          public void setRetrieveAllValuesActionValuesFrom(ERetrieveAllValues newRetrieveAllValuesActionValuesFrom)

      Specified by:
        `setRetrieveAllValuesActionValuesFrom` in interface `Property`
      Parameters:
        `newRetrieveAllValuesActionValuesFrom` - the new value of the 'Retrieve All Values Action Values From' attribute.
      See Also:
        `ERetrieveAllValues`, `Property.getRetrieveAllValuesActionValuesFrom()`

    - #### getRetrieveAllValuesActionValueProperty

          public Property getRetrieveAllValuesActionValueProperty()

      Specified by:
        `getRetrieveAllValuesActionValueProperty` in interface `Property`
      Returns:
        the value of the 'Retrieve All Values Action Value Property' reference.
      See Also:
        `Property.isSetRetrieveAllValuesActionValueProperty()`, `Property.unsetRetrieveAllValuesActionValueProperty()`, `Property.setRetrieveAllValuesActionValueProperty(Property)`, `TaurusPackage.getProperty_RetrieveAllValuesActionValueProperty()`

    - #### basicGetRetrieveAllValuesActionValueProperty

          public Property basicGetRetrieveAllValuesActionValueProperty()

    - #### setRetrieveAllValuesActionValueProperty

          public void setRetrieveAllValuesActionValueProperty(Property newRetrieveAllValuesActionValueProperty)

      Specified by:
        `setRetrieveAllValuesActionValueProperty` in interface `Property`
      Parameters:
        `newRetrieveAllValuesActionValueProperty` - the new value of the 'Retrieve All Values Action Value Property' reference.
      See Also:
        `Property.isSetRetrieveAllValuesActionValueProperty()`, `Property.unsetRetrieveAllValuesActionValueProperty()`, `Property.getRetrieveAllValuesActionValueProperty()`

    - #### unsetRetrieveAllValuesActionValueProperty

          public void unsetRetrieveAllValuesActionValueProperty()

      Specified by:
        `unsetRetrieveAllValuesActionValueProperty` in interface `Property`
      See Also:
        `Property.isSetRetrieveAllValuesActionValueProperty()`, `Property.getRetrieveAllValuesActionValueProperty()`, `Property.setRetrieveAllValuesActionValueProperty(Property)`

    - #### isSetRetrieveAllValuesActionValueProperty

          public boolean isSetRetrieveAllValuesActionValueProperty()

      Gets the value of the property setRetrieveAllValuesActionValueProperty.
      Specified by:
        `isSetRetrieveAllValuesActionValueProperty` in interface `Property`
      Returns:
        whether the value of the 'Retrieve All Values Action Value Property' reference is set.
      See Also:
        `Property.unsetRetrieveAllValuesActionValueProperty()`, `Property.getRetrieveAllValuesActionValueProperty()`, `Property.setRetrieveAllValuesActionValueProperty(Property)`

    - #### getRetrieveAllValuesActionLabelProperty

          public Property getRetrieveAllValuesActionLabelProperty()

      Specified by:
        `getRetrieveAllValuesActionLabelProperty` in interface `Property`
      Returns:
        the value of the 'Retrieve All Values Action Label Property' reference.
      See Also:
        `Property.isSetRetrieveAllValuesActionLabelProperty()`, `Property.unsetRetrieveAllValuesActionLabelProperty()`, `Property.setRetrieveAllValuesActionLabelProperty(Property)`, `TaurusPackage.getProperty_RetrieveAllValuesActionLabelProperty()`

    - #### basicGetRetrieveAllValuesActionLabelProperty

          public Property basicGetRetrieveAllValuesActionLabelProperty()

    - #### setRetrieveAllValuesActionLabelProperty

          public void setRetrieveAllValuesActionLabelProperty(Property newRetrieveAllValuesActionLabelProperty)

      Specified by:
        `setRetrieveAllValuesActionLabelProperty` in interface `Property`
      Parameters:
        `newRetrieveAllValuesActionLabelProperty` - the new value of the 'Retrieve All Values Action Label Property' reference.
      See Also:
        `Property.isSetRetrieveAllValuesActionLabelProperty()`, `Property.unsetRetrieveAllValuesActionLabelProperty()`, `Property.getRetrieveAllValuesActionLabelProperty()`

    - #### unsetRetrieveAllValuesActionLabelProperty

          public void unsetRetrieveAllValuesActionLabelProperty()

      Specified by:
        `unsetRetrieveAllValuesActionLabelProperty` in interface `Property`
      See Also:
        `Property.isSetRetrieveAllValuesActionLabelProperty()`, `Property.getRetrieveAllValuesActionLabelProperty()`, `Property.setRetrieveAllValuesActionLabelProperty(Property)`

    - #### isSetRetrieveAllValuesActionLabelProperty

          public boolean isSetRetrieveAllValuesActionLabelProperty()

      Gets the value of the property setRetrieveAllValuesActionLabelProperty.
      Specified by:
        `isSetRetrieveAllValuesActionLabelProperty` in interface `Property`
      Returns:
        whether the value of the 'Retrieve All Values Action Label Property' reference is set.
      See Also:
        `Property.unsetRetrieveAllValuesActionLabelProperty()`, `Property.getRetrieveAllValuesActionLabelProperty()`, `Property.setRetrieveAllValuesActionLabelProperty(Property)`

    - #### getSpecialProperty

          public ESpecialProperties getSpecialProperty()

      Specified by:
        `getSpecialProperty` in interface `Property`
      Returns:
        the value of the 'Special Property' attribute.
      See Also:
        `ESpecialProperties`, `Property.isSetSpecialProperty()`, `Property.unsetSpecialProperty()`, `Property.setSpecialProperty(ESpecialProperties)`, `TaurusPackage.getProperty_SpecialProperty()`

    - #### setSpecialProperty

          public void setSpecialProperty(ESpecialProperties newSpecialProperty)

      Specified by:
        `setSpecialProperty` in interface `Property`
      Parameters:
        `newSpecialProperty` - the new value of the 'Special Property' attribute.
      See Also:
        `ESpecialProperties`, `Property.isSetSpecialProperty()`, `Property.unsetSpecialProperty()`, `Property.getSpecialProperty()`

    - #### unsetSpecialProperty

          public void unsetSpecialProperty()

      Specified by:
        `unsetSpecialProperty` in interface `Property`
      See Also:
        `Property.isSetSpecialProperty()`, `Property.getSpecialProperty()`, `Property.setSpecialProperty(ESpecialProperties)`

    - #### isSetSpecialProperty

          public boolean isSetSpecialProperty()

      Gets the value of the property setSpecialProperty.
      Specified by:
        `isSetSpecialProperty` in interface `Property`
      Returns:
        whether the value of the 'Special Property' attribute is set.
      See Also:
        `Property.unsetSpecialProperty()`, `Property.getSpecialProperty()`, `Property.setSpecialProperty(ESpecialProperties)`

    - #### getStringDelimiter

          public java.lang.String getStringDelimiter()

      Specified by:
        `getStringDelimiter` in interface `Property`
      Returns:
        the value of the 'String Delimiter' attribute.
      See Also:
        `Property.isSetStringDelimiter()`, `Property.unsetStringDelimiter()`, `Property.setStringDelimiter(String)`, `TaurusPackage.getProperty_StringDelimiter()`

    - #### setStringDelimiter

          public void setStringDelimiter(java.lang.String newStringDelimiter)

      Specified by:
        `setStringDelimiter` in interface `Property`
      Parameters:
        `newStringDelimiter` - the new value of the 'String Delimiter' attribute.
      See Also:
        `Property.isSetStringDelimiter()`, `Property.unsetStringDelimiter()`, `Property.getStringDelimiter()`

    - #### unsetStringDelimiter

          public void unsetStringDelimiter()

      Specified by:
        `unsetStringDelimiter` in interface `Property`
      See Also:
        `Property.isSetStringDelimiter()`, `Property.getStringDelimiter()`, `Property.setStringDelimiter(String)`

    - #### isSetStringDelimiter

          public boolean isSetStringDelimiter()

      Specified by:
        `isSetStringDelimiter` in interface `Property`
      Returns:
        whether the value of the 'String Delimiter' attribute is set.
      See Also:
        `Property.unsetStringDelimiter()`, `Property.getStringDelimiter()`, `Property.setStringDelimiter(String)`

    - #### getTrueValue

          public java.lang.String getTrueValue()

      Specified by:
        `getTrueValue` in interface `Property`
      Returns:
        the value of the 'True Value' attribute.
      See Also:
        `Property.isSetTrueValue()`, `Property.unsetTrueValue()`, `Property.setTrueValue(String)`, `TaurusPackage.getProperty_TrueValue()`

    - #### setTrueValue

          public void setTrueValue(java.lang.String newTrueValue)

      Specified by:
        `setTrueValue` in interface `Property`
      Parameters:
        `newTrueValue` - the new value of the 'True Value' attribute.
      See Also:
        `Property.isSetTrueValue()`, `Property.unsetTrueValue()`, `Property.getTrueValue()`

    - #### unsetTrueValue

          public void unsetTrueValue()

      Specified by:
        `unsetTrueValue` in interface `Property`
      See Also:
        `Property.isSetTrueValue()`, `Property.getTrueValue()`, `Property.setTrueValue(String)`

    - #### isSetTrueValue

          public boolean isSetTrueValue()

      Specified by:
        `isSetTrueValue` in interface `Property`
      Returns:
        whether the value of the 'True Value' attribute is set.
      See Also:
        `Property.unsetTrueValue()`, `Property.getTrueValue()`, `Property.setTrueValue(String)`

    - #### getType

          public ETypes getType()

      Specified by:
        `getType` in interface `Property`
      Returns:
        the value of the 'Type' attribute.
      See Also:
        `ETypes`, `Property.isSetType()`, `Property.unsetType()`, `Property.setType(ETypes)`, `TaurusPackage.getProperty_Type()`

    - #### setType

          public void setType(ETypes newType)

      Specified by:
        `setType` in interface `Property`
      Parameters:
        `newType` - the new value of the 'Type' attribute.
      See Also:
        `ETypes`, `Property.isSetType()`, `Property.unsetType()`, `Property.getType()`

    - #### unsetType

          public void unsetType()

      Specified by:
        `unsetType` in interface `Property`
      See Also:
        `Property.isSetType()`, `Property.getType()`, `Property.setType(ETypes)`

    - #### isSetType

          public boolean isSetType()

      Specified by:
        `isSetType` in interface `Property`
      Returns:
        whether the value of the 'Type' attribute is set.
      See Also:
        `Property.unsetType()`, `Property.getType()`, `Property.setType(ETypes)`

    - #### isUpperCase

          public boolean isUpperCase()

      Specified by:
        `isUpperCase` in interface `Property`
      Returns:
        the value of the 'Upper Case' attribute.
      See Also:
        `Property.isSetUpperCase()`, `Property.unsetUpperCase()`, `Property.setUpperCase(boolean)`, `TaurusPackage.getProperty_UpperCase()`

    - #### setUpperCase

          public void setUpperCase(boolean newUpperCase)

      Specified by:
        `setUpperCase` in interface `Property`
      Parameters:
        `newUpperCase` - the new value of the 'Upper Case' attribute.
      See Also:
        `Property.isSetUpperCase()`, `Property.unsetUpperCase()`, `Property.isUpperCase()`

    - #### unsetUpperCase

          public void unsetUpperCase()

      Specified by:
        `unsetUpperCase` in interface `Property`
      See Also:
        `Property.isSetUpperCase()`, `Property.isUpperCase()`, `Property.setUpperCase(boolean)`

    - #### isSetUpperCase

          public boolean isSetUpperCase()

      Specified by:
        `isSetUpperCase` in interface `Property`
      Returns:
        whether the value of the 'Upper Case' attribute is set.
      See Also:
        `Property.unsetUpperCase()`, `Property.isUpperCase()`, `Property.setUpperCase(boolean)`

    - #### getValueKeys

          public org.eclipse.emf.common.util.EList<java.lang.String> getValueKeys()

      Specified by:
        `getValueKeys` in interface `Property`
      Returns:
        the value of the 'Value Keys' attribute list.
      See Also:
        `Property.isSetValueKeys()`, `Property.unsetValueKeys()`, `TaurusPackage.getProperty_ValueKeys()`

    - #### unsetValueKeys

          public void unsetValueKeys()

      Specified by:
        `unsetValueKeys` in interface `Property`
      See Also:
        `Property.isSetValueKeys()`, `Property.getValueKeys()`

    - #### isSetValueKeys

          public boolean isSetValueKeys()

      Specified by:
        `isSetValueKeys` in interface `Property`
      Returns:
        whether the value of the 'Value Keys' attribute list is set.
      See Also:
        `Property.unsetValueKeys()`, `Property.getValueKeys()`

    - #### getValueMaxLength

          public int getValueMaxLength()

      Specified by:
        `getValueMaxLength` in interface `Property`
      Returns:
        the value of the 'Value Max Length' attribute.
      See Also:
        `Property.isSetValueMaxLength()`, `Property.unsetValueMaxLength()`, `Property.setValueMaxLength(int)`, `TaurusPackage.getProperty_ValueMaxLength()`

    - #### setValueMaxLength

          public void setValueMaxLength(int newValueMaxLength)

      Specified by:
        `setValueMaxLength` in interface `Property`
      Parameters:
        `newValueMaxLength` - the new value of the 'Value Max Length' attribute.
      See Also:
        `Property.isSetValueMaxLength()`, `Property.unsetValueMaxLength()`, `Property.getValueMaxLength()`

    - #### unsetValueMaxLength

          public void unsetValueMaxLength()

      Specified by:
        `unsetValueMaxLength` in interface `Property`
      See Also:
        `Property.isSetValueMaxLength()`, `Property.getValueMaxLength()`, `Property.setValueMaxLength(int)`

    - #### isSetValueMaxLength

          public boolean isSetValueMaxLength()

      Specified by:
        `isSetValueMaxLength` in interface `Property`
      Returns:
        whether the value of the 'Value Max Length' attribute is set.
      See Also:
        `Property.unsetValueMaxLength()`, `Property.getValueMaxLength()`, `Property.setValueMaxLength(int)`

    - #### getValueMinLength

          public int getValueMinLength()

      Specified by:
        `getValueMinLength` in interface `Property`
      Returns:
        the value of the 'Value Min Length' attribute.
      See Also:
        `Property.isSetValueMinLength()`, `Property.unsetValueMinLength()`, `Property.setValueMinLength(int)`, `TaurusPackage.getProperty_ValueMinLength()`

    - #### setValueMinLength

          public void setValueMinLength(int newValueMinLength)

      Specified by:
        `setValueMinLength` in interface `Property`
      Parameters:
        `newValueMinLength` - the new value of the 'Value Min Length' attribute.
      See Also:
        `Property.isSetValueMinLength()`, `Property.unsetValueMinLength()`, `Property.getValueMinLength()`

    - #### unsetValueMinLength

          public void unsetValueMinLength()

      Specified by:
        `unsetValueMinLength` in interface `Property`
      See Also:
        `Property.isSetValueMinLength()`, `Property.getValueMinLength()`, `Property.setValueMinLength(int)`

    - #### isSetValueMinLength

          public boolean isSetValueMinLength()

      Specified by:
        `isSetValueMinLength` in interface `Property`
      Returns:
        whether the value of the 'Value Min Length' attribute is set.
      See Also:
        `Property.unsetValueMinLength()`, `Property.getValueMinLength()`, `Property.setValueMinLength(int)`

    - #### getMaxLines

          public int getMaxLines()

      Specified by:
        `getMaxLines` in interface `Property`
      Returns:
        the value of the 'Max Lines' attribute.
      See Also:
        `Property.isSetMaxLines()`, `Property.unsetMaxLines()`, `Property.setMaxLines(int)`, `TaurusPackage.getProperty_MaxLines()`

    - #### setMaxLines

          public void setMaxLines(int newMaxLines)

      Specified by:
        `setMaxLines` in interface `Property`
      Parameters:
        `newMaxLines` - the new value of the 'Max Lines' attribute.
      See Also:
        `Property.isSetMaxLines()`, `Property.unsetMaxLines()`, `Property.getMaxLines()`

    - #### unsetMaxLines

          public void unsetMaxLines()

      Specified by:
        `unsetMaxLines` in interface `Property`
      See Also:
        `Property.isSetMaxLines()`, `Property.getMaxLines()`, `Property.setMaxLines(int)`

    - #### isSetMaxLines

          public boolean isSetMaxLines()

      Specified by:
        `isSetMaxLines` in interface `Property`
      Returns:
        whether the value of the 'Max Lines' attribute is set.
      See Also:
        `Property.unsetMaxLines()`, `Property.getMaxLines()`, `Property.setMaxLines(int)`

    - #### getCharsPerLine

          public int getCharsPerLine()

      Specified by:
        `getCharsPerLine` in interface `Property`
      Returns:
        the value of the 'Chars Per Line' attribute.
      See Also:
        `Property.isSetCharsPerLine()`, `Property.unsetCharsPerLine()`, `Property.setCharsPerLine(int)`, `TaurusPackage.getProperty_CharsPerLine()`

    - #### setCharsPerLine

          public void setCharsPerLine(int newCharsPerLine)

      Specified by:
        `setCharsPerLine` in interface `Property`
      Parameters:
        `newCharsPerLine` - the new value of the 'Chars Per Line' attribute.
      See Also:
        `Property.isSetCharsPerLine()`, `Property.unsetCharsPerLine()`, `Property.getCharsPerLine()`

    - #### unsetCharsPerLine

          public void unsetCharsPerLine()

      Specified by:
        `unsetCharsPerLine` in interface `Property`
      See Also:
        `Property.isSetCharsPerLine()`, `Property.getCharsPerLine()`, `Property.setCharsPerLine(int)`

    - #### isSetCharsPerLine

          public boolean isSetCharsPerLine()

      Specified by:
        `isSetCharsPerLine` in interface `Property`
      Returns:
        whether the value of the 'Chars Per Line' attribute is set.
      See Also:
        `Property.unsetCharsPerLine()`, `Property.getCharsPerLine()`, `Property.setCharsPerLine(int)`

    - #### getDateFormat

          public java.lang.String getDateFormat()

      Specified by:
        `getDateFormat` in interface `Property`
      Returns:
        the value of the 'Date Format' attribute.
      See Also:
        `Property.isSetDateFormat()`, `Property.unsetDateFormat()`, `Property.setDateFormat(String)`, `TaurusPackage.getProperty_DateFormat()`

    - #### setDateFormat

          public void setDateFormat(java.lang.String newDateFormat)

      Specified by:
        `setDateFormat` in interface `Property`
      Parameters:
        `newDateFormat` - the new value of the 'Date Format' attribute.
      See Also:
        `Property.isSetDateFormat()`, `Property.unsetDateFormat()`, `Property.getDateFormat()`

    - #### unsetDateFormat

          public void unsetDateFormat()

      Specified by:
        `unsetDateFormat` in interface `Property`
      See Also:
        `Property.isSetDateFormat()`, `Property.getDateFormat()`, `Property.setDateFormat(String)`

    - #### isSetDateFormat

          public boolean isSetDateFormat()

      Specified by:
        `isSetDateFormat` in interface `Property`
      Returns:
        whether the value of the 'Date Format' attribute is set.
      See Also:
        `Property.unsetDateFormat()`, `Property.getDateFormat()`, `Property.setDateFormat(String)`

    - #### eGet

          public java.lang.Object eGet(int featureID,
                                       boolean resolve,
                                       boolean coreType)

      Specified by:
        `eGet` in interface `org.eclipse.emf.ecore.InternalEObject`
      Overrides:
        `eGet` in class `AWMIdentifiableObjectImpl`

    - #### eSet

          public void eSet(int featureID,
                           java.lang.Object newValue)

      Specified by:
        `eSet` in interface `org.eclipse.emf.ecore.InternalEObject`
      Overrides:
        `eSet` in class `AWMIdentifiableObjectImpl`

    - #### eUnset

          public void eUnset(int featureID)

      Specified by:
        `eUnset` in interface `org.eclipse.emf.ecore.InternalEObject`
      Overrides:
        `eUnset` in class `AWMIdentifiableObjectImpl`

    - #### eIsSet

          public boolean eIsSet(int featureID)

      Specified by:
        `eIsSet` in interface `org.eclipse.emf.ecore.InternalEObject`
      Overrides:
        `eIsSet` in class `AWMIdentifiableObjectImpl`

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `AWMIdentifiableObjectImpl`

    - #### getLabelFromHierarchy

          public java.lang.String getLabelFromHierarchy()

      Description copied from interface: `Property`
      Returns the Label or the ID if the Label wasn't set.
      Specified by:
        `getLabelFromHierarchy` in interface `Property`

    - #### getValueLabelMap

          public java.util.Map<java.lang.String,java.lang.String> getValueLabelMap()

      Description copied from interface: `Property`
      Returns a Map containing Value Keys and Label Keys.
      Specified by:
        `getValueLabelMap` in interface `Property`
      Returns:
      See Also:
        `Property.getValueKeys()`, `#getLableKeys()`

    - #### getValueForLabel

          public java.lang.String getValueForLabel(java.lang.String pLabel)

      Description copied from interface: `Property`
      Returns the value for the given label or `null`, if there is no value for the label
      Specified by:
        `getValueForLabel` in interface `Property`
      Returns:

    - #### getLabelForValue

          public java.lang.String getLabelForValue(java.lang.String pValue)

      Description copied from interface: `Property`
      Returns the label for the given value or `null`, if there is no label for the value
      Specified by:
        `getLabelForValue` in interface `Property`
      Returns:

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `java.lang.Object`

    - #### equals

          public boolean equals(java.lang.Object obj)

      Overrides:
        `equals` in class `java.lang.Object`

    - #### getValueKeysWithoutQuotes

          public java.util.List<java.lang.String> getValueKeysWithoutQuotes()

      Specified by:
        `getValueKeysWithoutQuotes` in interface `Property`
      Returns:
        same as `Property.getValueKeys()` but removes surrounding double quotes.

    - #### getLabelKeysWithoutQuotes

          public java.util.List<java.lang.String> getLabelKeysWithoutQuotes()

      Specified by:
        `getLabelKeysWithoutQuotes` in interface `Property`
      Returns:
        same as `Property.getLabelKeys()` but removes surrounding double quotes.

    - #### isLinkedProperty

          public boolean isLinkedProperty()

      Gets the value of the property linkedProperty.
      Specified by:
        `isLinkedProperty` in interface `Property`
      Returns:
        `true` if this property is a linked property

    - #### getStringDelimiterWithoutQuotes

          public java.lang.String getStringDelimiterWithoutQuotes()

      Description copied from interface: `Property`
      Returns the StringDelimiter value of the Property without the quotes. This Method will return the correct value even if there weren't any quotes in the configuration file.
      Specified by:
        `getStringDelimiterWithoutQuotes` in interface `Property`
      Returns:
        The StringDelimiter value of the Property without quotes or `null` if no value was set for the StringDelimiter.

Copyright © 2015 Micro Focus GmbH. All rights reserved.